## diskcache 5.2.1

=== requirements.txt ===
-e .
blue
coverage
django==2.2.*
django_redis
doc8
flake8
ipython
jedi==0.17.*  # Remove after IPython bug fixed.
pickleDB
pylibmc
pylint
pytest
pytest-cov
pytest-django
pytest-env
pytest-xdist
rstcheck
sphinx
sqlitedict
tox
twine
wheel

## diskcache 4.0.0

=== debian/changelog ===
diskcache (4.0.0-1~nd110+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 18 Sep 2019 09:31:45 -0400

diskcache (4.0.0-1) unstable; urgency=low

  * Initial packaging (Closes: #940625)
  * Initial packaging was automatically created by stdeb 0.8.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Sep 2019 17:45:00 -0400

=== debian/control ===
Source: diskcache
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-setuptools,
 python3-all,
Standards-Version: 4.3.0
Homepage: http://www.grantjenks.com/docs/diskcache/
Vcs-Git: https://salsa.debian.org/python-team/modules/diskcache.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/diskcache

Package: python3-diskcache
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
Description: Python module for Disk and file backed persistent cache
 DiskCache is an Apache2 licensed disk and file backed cache library, written
 in pure-Python. Its features include
 .
   - Django compatible API
   - Thread-safe and process-safe
   - Supports multiple eviction policies (LRU and LFU included)
   - Keys support “tag” metadata and eviction

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Tue, 17 Sep 2019 17:25:52 -0400
export PYBUILD_NAME=diskcache
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	: # TODO - upstream doesn't ship tests/ within their pypi sdist tarballs
	: # To enable testing, we would need to position packaging on top of the
	: # upstream repository

## diskcache 5.2.1

=== debian/changelog ===
diskcache (5.2.1-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Feb 2021 22:26:33 +0100

diskcache (5.2.1-1) unstable; urgency=low

  * Initial release (Closes: #940625)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jan 2021 09:33:31 +0100

=== debian/control ===
Source: diskcache
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               tox <!nocheck>,
               python3-django <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-django <!nocheck>,
               python3-pytest-xdist <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/diskcache
Vcs-Git: https://salsa.debian.org/python-team/packages/diskcache.git
Homepage: https://pypi.org/project/diskcache/
Rules-Requires-Root: no

Package: python3-diskcache
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python3 module for disk and file backed persistent cache
 DiskCache is a disk and file backed cache library, written in pure-Python.
 Its features include
 .
  - Django compatible API
  - Thread-safe and process-safe
  - Supports multiple eviction policies (LRU and LFU included)
  - Keys support “tag” metadata and eviction

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=diskcache
export PYBUILD_BEFORE_TEST=cp -a docs {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name .coverage -delete

=== debian/watch ===
version=4

https://github.com/grantjenks/python-diskcache/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

# https://pypi.python.org/simple/diskcache .*/diskcache-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## diskcache 5.4.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 -e .
 blue
 coverage
-django==2.2.*
+django==3.2.*
 django_redis
 doc8
 flake8

=== debian/changelog ===
diskcache (5.4.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Clean correctly.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 20:03:44 -0400

diskcache (5.4.0-2) experimental; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Adjust enable_newer_django.patch for tox 4 compatibility.
    (Closes: #1035636)
  * Use python -m pytest, instead of pytest-3, to run tests.
  * Build-Depend on python3-wheel, to allow pybuild to build a wheel for tox.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 May 2023 14:45:22 -0400

diskcache (5.4.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #997505
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Enable django>=2.2
  * Build-Depends: python3-typing-extensions
  * Add missing build dependency on dh addon.
  * Call correct executable pytest-3
  * Do not provide docs in /usr/lib/python3/dist-packages
    Closes: #1002823

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 21:49:30 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,10 @@
                python3-pytest-cov <!nocheck>,
                python3-pytest-django <!nocheck>,
                python3-pytest-xdist <!nocheck>,
-Standards-Version: 4.5.1
+               python3-typing-extensions <!nocheck>,
+               python3-wheel <!nocheck>,
+               debhelper
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/diskcache
 Vcs-Git: https://salsa.debian.org/python-team/packages/diskcache.git
 Homepage: https://pypi.org/project/diskcache/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_install:
-	dh_install
+override_dh_python3:
+	dh_python3
 	find debian -name .coverage -delete
+	rm -rf debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages/docs

=== debian/watch ===
version=4

https://github.com/grantjenks/python-diskcache/tags .*/v?@ANY_VERSION@\.tar\.gz

# https://pypi.python.org/simple/diskcache .*/diskcache-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## diskcache 5.6.3

=== debian/changelog ===
diskcache (5.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Ran wrap-and-sort -bastk.
  * Drop enable_newer_django.patch.
  * Rebased test-command-m.patch.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:37:11 +0200

=== debian/control ===
Source: diskcache
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Yaroslav Halchenko <debian@onerussian.com>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper,
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-django <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-typing-extensions <!nocheck>,
 python3-wheel <!nocheck>,
 tox <!nocheck>,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/diskcache
Vcs-Git: https://salsa.debian.org/python-team/packages/diskcache.git
Homepage: https://pypi.org/project/diskcache/
Rules-Requires-Root: no

Package: python3-diskcache
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 module for disk and file backed persistent cache
 DiskCache is a disk and file backed cache library, written in pure-Python.
 Its features include
 .
  - Django compatible API
  - Thread-safe and process-safe
  - Supports multiple eviction policies (LRU and LFU included)
  - Keys support “tag” metadata and eviction

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 	dh_python3
 	find debian -name .coverage -delete
 	rm -rf debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages/docs
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf dist .cache
